%define enable_japanese 1

%define kdeprefix /usr
%define qtdir /usr/lib/qt-1.45
%define kderelease 17j1
%define sourcedir stable/%{version}/distribution/tar/generic/source
%define kdename kdenetwork 

Name: %{kdename}
Summary: Network applications for the K Desktop Environment (KDE).
Version: 1.1.2
Release: %{kderelease}
Epoch: 5
Source0: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{kdename}-%{version}.tar.bz2
Source1: kppp.console
Source2: kppp.pamd
Patch: kdenetwork-1.1.2-paths.patch.bz2
Patch1: kdenetwork-1.1.2-kppp-volume.patch
Patch2: kdenetwork-1.1.2-flock.patch
# Japanese patch
# http://www.kde.gr.jp/~toyohiro/kdenetwork-1.1.2-ja-19991124.diff.gz
Patch10: kdenetwork-1.1.2-ja-19991124.diff
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{kdename}-buildroot
Copyright: GPL
Requires: kdesupport
Prefix: %{kdeprefix}
BuildPrereq: kdesupport-devel, kdelibs-devel, compat-egcs-c++
Excludearch: ia64

%description
The K Desktop Environment (KDE) is a GUI desktop for the X Window
System. The kdenetwork package contains network applications for KDE,
including karchie, an FTP archive searcher; kbiff, a mail delivery
notification tool; kfinger, a "finger" utility; kmail, a mail client;
knu, network utilities; korn, another mailbox monitoring tool; kppp, a
utility for configuring your PPP connection; krn, a news reader;
ktalkd, a talk daemon; and ksirc, an irc client.

Install kdenetwork if you need network-related applications for
KDE. If you're installing KDE, you'll also need to install kdebase,
kdelibs and kdesupport.

%prep
%setup -q -n kdenetwork
%patch -p1 -b .paths
%patch1 -p1 -b .volume
%patch2 -p1 -b .flock
%if %{enable_japanese}
%patch10 -p1 -b .i18n
%endif
perl -pi -e "s,\\\$KDEBINDIR,/usr/bin,g" ktalkd/ktalkd/ktalkdrc
perl -pi -e "s,kvt,konsole,g" ktalkd/ktalkd/ktalkdrc
make -f Makefile.cvs

%build
export KDEDIR=%{kdeprefix} QTDIR=%{qtdir}
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
FLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG"

make -f Makefile.cvs

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

[ -f configure.in ] && libtoolize --copy --force
CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib" \
./configure \
	--prefix=$KDEDIR \
	--x-libraries=/usr/X11R6/lib \
	--x-includes=/usr/X11R/include \
	--with-install-root=$RPM_BUILD_ROOT

make -j $CPUS CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib" \
              CFLAGS="$FLAGS" CXXFLAGS="$FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make install exec_prefix=$RPM_BUILD_ROOT/usr

for i in $RPM_BUILD_ROOT/usr/bin/*; do
  strip -R .comments $i || : &>/dev/null
done

for i in $RPM_BUILD_ROOT/usr/lib/* $RPM_BUILD_ROOT/usr/lib/ksirc/*; do
  strip -R .comments --strip-unneeded $i || : &>/dev/null
done

# we don't make this SUID.
mkdir -p $RPM_BUILD_ROOT%{kdeprefix}/sbin
chmod u-s $RPM_BUILD_ROOT%{kdeprefix}/bin/kppp
mv $RPM_BUILD_ROOT%{kdeprefix}/bin/kppp \
	$RPM_BUILD_ROOT%{kdeprefix}/sbin/kppp
ln -sf consolehelper $RPM_BUILD_ROOT%{kdeprefix}/bin/kppp

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

# install console-helper stuff for kppp
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
mkdir -p $RPM_BUILD_ROOT/etc/security/console.apps
install %{SOURCE1} $RPM_BUILD_ROOT/etc/security/console.apps/kppp
install %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/kppp

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}
%defattr(-,root,root)
%config(noreplace) /etc/security/console.apps/kppp
%config(noreplace) /etc/pam.d/kppp

%changelog
* Thu Aug 31 2000 Yukihiro Nakai <ynakai@redhat.com>
- Add Japanese patch

* Thu Aug 24 2000 Nalin Dahyabhai <nalin@redhat.com>
- disable flock() locking -- use fcntl() to be consistent

* Sun Jul 30 2000 Than Ngo <than@redhat.de>
- fix to built against compat-egcs-c++
- cleanup specfile 

* Mon Jun 05 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0
- modify PAM setup to use system-auth
- update to KDE_1_1_BRANCH version
- fix session problem kppp

* Sun Feb  6 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- kppp: high volume changed to L3 instead of L4 (Bug #9068)

* Fri Feb  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- strip ksric libraries
- fix description

* Tue Feb 02 2000 Preston Brown <pbrown@redhat.com>
- fix glibc dependency issue via rebuild

* Wed Jan 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Set correct default paths for knu (Bug #8841)

* Tue Jan 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up paths in which ktalkd looks for its children (Bug #7561)

* Mon Jan 17 2000 Preston Brown <pbrown@redhat.com>
- kppp.console has SESSION=false now

* Sat Jan  8 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- update to KDE_1_1_BRANCH version
- use BuildPrereq:
- fix install-strip breakage
- rebuild for 6.2

* Wed Dec 01 1999 Preston Brown <pbrown@redhat.com>
- upgraded to current 1.1 branch snapshot, which includes kppp fixes.

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- marked docs files as such

* Tue Sep 14 1999 Preston Brown <pbrown@redhat.com>
- got fixed .bz2 package.

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- 1.1.2 release.
- made kppp a "console helper" app.

* Mon Jun 14 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Thu Apr 15 1999 Preston Brown <pbrown@redhat.com>
- today's snapshot fixes some important kmail issues

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Wed Jan 20 1999 Preston Brown <pbrown@redhat.com>
- updated to deal with newer RPM, make sure kppp isn't SUID.

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged updates from Duncan Haldane






